Debian Bug report logs - #668011
gstreamer0.10-plugins-ugly: FTBFS

version graph

Package: gstreamer0.10-plugins-ugly; Maintainer for gstreamer0.10-plugins-ugly is Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>; Source for gstreamer0.10-plugins-ugly is src:gst-plugins-ugly0.10.

Reported by: Adrian Bunk <bunk@stusta.de>

Date: Sun, 8 Apr 2012 08:30:01 UTC

Severity: serious

Found in version gst-plugins-ugly0.10/0.10.19-1

Fixed in version gst-plugins-ugly0.10/0.10.19-2

Done: Sebastian Dröge <slomo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>:
Bug#668011; Package gstreamer0.10-plugins-ugly. (Sun, 08 Apr 2012 08:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
New Bug report received and forwarded. Copy sent to Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>. (Sun, 08 Apr 2012 08:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gstreamer0.10-plugins-ugly: FTBFS
Date: Sun, 08 Apr 2012 11:26:33 +0300
Package: gstreamer0.10-plugins-ugly
Version: 0.10.19-1
Severity: serious

In a fresh amd64 sid chroot:

<--  snip  -->

$  dpkg-buildpackage
....
libtool: compile:  gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I../.. -D_FORTIFY_SOURCE=2 -DGST_USE_UNSTABLE_API -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/libxml2 -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/libxml2 -I../../gst-libs -I../../gst-libs -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/libxml2 -DG_THREADS_MANDATORY -DG_DISABLE_CAST_CHECKS -DG_DISABLE_ASSERT -Wall -Wdeclaration-after-statement -Wvla -Wpointer-arith -Wmissing-declarations -Wmissing-prototypes -Wredundant-decls -Wwrite-strings -Wformat-nonliteral -Wformat-security -Wold-style-definition -Winit-self -Wmissing-include-dirs -Waddress -Waggregate-return -Wno-multichar -Wnested-externs -g -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-secu
 rity -Wall -Wno-error -c amrnb.c  -fPIC -DPIC -o .libs/libgstamrnb_la-amrnb.o
In file included from amrnb.c:24:0:
amrnbdec.h:25:24: fatal error: interf_dec.h: No such file or directory
compilation terminated.
make[4]: *** [libgstamrnb_la-amrnb.lo] Error 1
make[4]: Leaving directory `/tmp/gst-plugins-ugly0.10-0.10.19/ext/amrnb'
make[3]: *** [amrnb] Error 2
make[3]: Leaving directory `/tmp/gst-plugins-ugly0.10-0.10.19/ext'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/tmp/gst-plugins-ugly0.10-0.10.19'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/tmp/gst-plugins-ugly0.10-0.10.19'
make: *** [debian/stamp-makefile-build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
$ 

<--  snip  -->




Reply sent to Sebastian Dröge <slomo@debian.org>:
You have taken responsibility. (Mon, 23 Apr 2012 07:21:12 GMT) Full text and rfc822 format available.

Notification sent to Adrian Bunk <bunk@stusta.de>:
Bug acknowledged by developer. (Mon, 23 Apr 2012 07:21:12 GMT) Full text and rfc822 format available.

Message #10 received at 668011-close@bugs.debian.org (full text, mbox):

From: Sebastian Dröge <slomo@debian.org>
To: 668011-close@bugs.debian.org
Subject: Bug#668011: fixed in gst-plugins-ugly0.10 0.10.19-2
Date: Mon, 23 Apr 2012 07:17:31 +0000
Source: gst-plugins-ugly0.10
Source-Version: 0.10.19-2

We believe that the bug you reported is fixed in the latest version of
gst-plugins-ugly0.10, which is due to be installed in the Debian FTP archive:

gst-plugins-ugly0.10_0.10.19-2.debian.tar.gz
  to main/g/gst-plugins-ugly0.10/gst-plugins-ugly0.10_0.10.19-2.debian.tar.gz
gst-plugins-ugly0.10_0.10.19-2.dsc
  to main/g/gst-plugins-ugly0.10/gst-plugins-ugly0.10_0.10.19-2.dsc
gstreamer0.10-plugins-ugly-dbg_0.10.19-2_amd64.deb
  to main/g/gst-plugins-ugly0.10/gstreamer0.10-plugins-ugly-dbg_0.10.19-2_amd64.deb
gstreamer0.10-plugins-ugly-doc_0.10.19-2_all.deb
  to main/g/gst-plugins-ugly0.10/gstreamer0.10-plugins-ugly-doc_0.10.19-2_all.deb
gstreamer0.10-plugins-ugly_0.10.19-2_amd64.deb
  to main/g/gst-plugins-ugly0.10/gstreamer0.10-plugins-ugly_0.10.19-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 668011@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sebastian Dröge <slomo@debian.org> (supplier of updated gst-plugins-ugly0.10 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 23 Apr 2012 08:52:35 +0200
Source: gst-plugins-ugly0.10
Binary: gstreamer0.10-plugins-ugly-doc gstreamer0.10-plugins-ugly gstreamer0.10-plugins-ugly-dbg
Architecture: source all amd64
Version: 0.10.19-2
Distribution: unstable
Urgency: low
Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
Changed-By: Sebastian Dröge <slomo@debian.org>
Description: 
 gstreamer0.10-plugins-ugly - GStreamer plugins from the "ugly" set
 gstreamer0.10-plugins-ugly-dbg - GStreamer plugins from the "ugly" set (debug symbols)
 gstreamer0.10-plugins-ugly-doc - GStreamer documentation for plugins from the "ugly" set
Closes: 668011
Changes: 
 gst-plugins-ugly0.10 (0.10.19-2) unstable; urgency=low
 .
   * debian/patches/01_opencore-amr-0.1.3.patch:
     + Fix build with opencore-amrnb 0.1.3 (Closes: #668011).
Checksums-Sha1: 
 cc2c7cb03b3a709314dcc2f1a06e4a792154d888 2379 gst-plugins-ugly0.10_0.10.19-2.dsc
 5d5b1b83e23465ffd0505243f3745a82193f4e5c 26845 gst-plugins-ugly0.10_0.10.19-2.debian.tar.gz
 bac1e7331eeb26aaabc18d3897f74513af65e4ce 191008 gstreamer0.10-plugins-ugly-doc_0.10.19-2_all.deb
 09d9fceaf108e5747d49ca0ef337f8e468779f0b 493954 gstreamer0.10-plugins-ugly_0.10.19-2_amd64.deb
 9a810f167b7d9a1aa867b794e5c92d8f89ee92cb 949418 gstreamer0.10-plugins-ugly-dbg_0.10.19-2_amd64.deb
Checksums-Sha256: 
 82b68bd7c2b3e9c2d88a313d83ac75ab7f4f39d929cfa8c83ba54655655b8983 2379 gst-plugins-ugly0.10_0.10.19-2.dsc
 6e3a2e58328add6f42a2a585594506f856385cbf7be7a5e7dd5ac3d63f12ea2b 26845 gst-plugins-ugly0.10_0.10.19-2.debian.tar.gz
 4e36a495c9acc2c35cc6ef671708e9fe5a1bfb55a58b234f3afa737b8952c767 191008 gstreamer0.10-plugins-ugly-doc_0.10.19-2_all.deb
 bc7ce16455a30d81f0bc6aeade63afaad0840c5f2bcaa65d7dae08f7572450ac 493954 gstreamer0.10-plugins-ugly_0.10.19-2_amd64.deb
 00c72f4fd98d8bd31815dc0bc7aa59aef4dcf0b50a9804acf6f2e23b3232fb67 949418 gstreamer0.10-plugins-ugly-dbg_0.10.19-2_amd64.deb
Files: 
 bd3b5c56a792d06d8b5bc936e4b2bf3f 2379 libs optional gst-plugins-ugly0.10_0.10.19-2.dsc
 429c728ea6cd8550d2da29a838df9cbd 26845 libs optional gst-plugins-ugly0.10_0.10.19-2.debian.tar.gz
 f08104463161943b93ef35a883a0c462 191008 doc optional gstreamer0.10-plugins-ugly-doc_0.10.19-2_all.deb
 ee0841aaf0cf76ae6951aca1467454ec 493954 libs optional gstreamer0.10-plugins-ugly_0.10.19-2_amd64.deb
 62c9831e3314e14b71ad15a2dd0de57c 949418 debug extra gstreamer0.10-plugins-ugly-dbg_0.10.19-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+U/f8ACgkQBsBdh1vkHyGvuACgrmBh3Q09Xam+z5jrqBMDLol+
hEcAoKqoXFz9Ncp3yfysKrmLQfnO92fo
=JL13
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 01 Jun 2012 07:35:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:24:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.